> ## Documentation Index
> Fetch the complete documentation index at: https://developers.hubspot.jp/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get recently created contacts

> For a given account, return all contacts that have been recently created. A paginated list of contacts will be returned to you, with a maximum of 100 contacts per page, as specified by the "count" parameter. Please Note There are 3 fields here to pay close attention to: the "has-more" field that will let you know whether there are more contacts that you can pull from this portal, and the "vid-offset" and "time-offset" fields which will let you know where you are in the list of contacts. You can then use the "vid-offset" and "time-offset" fields in the "vidOffset" and "timeOffset" parameters described below. The response is sorted in descending order by create date; the most recently created contact is returned first. Note: This endpoint returns contacts based on when they were created. If you need to check for recently modified records, use this endpoint.

export const ScopesList = ({scopes = [], description = "この API には、次のいずれかのスコープが必要です。"}) => {
  if (!scopes || scopes.length === 0) {
    return null;
  }
  const sortedScopes = scopes.sort((a, b) => a.localeCompare(b));
  return <div>
      <div className="text-sm mb-2">{description}</div>
      <div>
        {sortedScopes.map((scope, index) => <div key={index}>
            <code>
              <span className="text-xs">{scope}</span>
            </code>
          </div>)}
      </div>
    </div>;
};

<Accordion title="Scope requirements">
  <ScopesList scopes={['crm.objects.contacts.read', 'content', 'crm.objects.contacts.write']} />
</Accordion>


## OpenAPI

````yaml specs/legacy/v1/crm-contacts-v1.json GET /contacts/v1/lists/all/contacts/recent
openapi: 3.0.0
info:
  title: CRM Contacts API v1
  version: 1.0.0
  description: Use the contact lists API to create and manage contact lists.
  x-hubspot-introduction: Use the contact lists API to create and manage contact lists.
  x-hubspot-api-use-case: >-
    Retrieve a contact list by ID to bring that contact data into your external
    system.
servers:
  - url: https://api.hubapi.com
    description: HubSpot API Server
security: []
paths:
  /contacts/v1/lists/all/contacts/recent:
    get:
      summary: Get recently created contacts
      description: >-
        For a given account, return all contacts that have been recently
        created. A paginated list of contacts will be returned to you, with a
        maximum of 100 contacts per page, as specified by the "count" parameter.
        Please Note There are 3 fields here to pay close attention to: the
        "has-more" field that will let you know whether there are more contacts
        that you can pull from this portal, and the "vid-offset" and
        "time-offset" fields which will let you know where you are in the list
        of contacts. You can then use the "vid-offset" and "time-offset" fields
        in the "vidOffset" and "timeOffset" parameters described below. The
        response is sorted in descending order by create date; the most recently
        created contact is returned first. Note: This endpoint returns contacts
        based on when they were created. If you need to check for recently
        modified records, use this endpoint.
      operationId: getcontactsv1listsallcontactsrecent
      parameters:
        - name: count
          in: query
          required: false
          description: >-
            This parameter lets you specify the amount of contacts to return in
            your API call. The default for this parameter (if it isn't
            specified) is 20 contacts. The maximum amount of contacts you can
            have returned to you via this parameter is 100.
          schema:
            type: string
        - name: timeOffset
          in: query
          required: false
          description: >-
            One method used to page through the recent contacts. Every call to
            this endpoint will return a time-offset value. This value is used in
            the timeOffset parameter of the next call to get the next page of
            contacts. The preferred method of paging.
          schema:
            type: string
        - name: vidOffset
          in: query
          required: false
          description: >-
            Another method used to page through the recent contacts. Every call
            to this endpoint will return a vid-offset value. This value is used
            in the vidOffset parameter of the next call to get the next page of
            contacts.
          schema:
            type: string
        - name: property
          in: query
          required: false
          description: >-
            If you include the "property" parameter, then the properties in the
            "contact" object in the returned data will only include the property
            or properties that you request.
          schema:
            type: string
        - name: propertyMode
          in: query
          required: false
          description: >-
            One of `value_only` or `value_and_history` to specify if the current
            value for a property should be fetched, or the value and all the
            historical values for that property. Default is `value_only`.
          schema:
            type: string
        - name: formSubmissionMode
          in: query
          required: false
          description: >-
            One of `all`, `none`, `newest`, `oldest` to specify which form
            submissions should be fetched. Default is `newest`.
          schema:
            type: string
        - name: showListMemberships
          in: query
          required: false
          description: >-
            Boolean `true` or `false` to indicate whether current list
            memberships should be fetched for the contact. Default is `false`.
          schema:
            type: string
      responses:
        '200':
          description: >-
            Successful response - For a given account, return all contacts that
            have been recently created
          content:
            application/json:
              schema:
                type: object
              examples:
                example1:
                  summary: Get recently created contacts - Example 1
                  value:
                    contacts:
                      - addedAt: 1487883490018
                        vid: 3867924
                        canonical-vid: 3867924
                        merged-vids: []
                        portal-id: 62515
                        is-contact: true
                        properties:
                          lastmodifieddate:
                            value: '1487883506690'
                        form-submissions: []
                        identity-profiles:
                          - vid: 3867924
                            saved-at-timestamp: 1487883490018
                            deleted-changed-timestamp: 0
                            identities:
                              - type: LEAD_GUID
                                value: 6f8016f7-c5c9-4fa9-a50c-e45cbf83ca63
                                timestamp: 1487883490015
                        merge-audits: []
                      - addedAt: 1487870184476
                        vid: 3867874
                        canonical-vid: 3867874
                        merged-vids: []
                        portal-id: 62515
                        is-contact: true
                        profile-token: >-
                          AO_T-mN1u1f6VYBDPmmfwmjBGJEPdjEk-3rRHekIGKZwo2xaBWUc6WQkBqi-37aNSIKpzAiOGNHuDAGWSs89_tKoUXfQ76ljddiaNPDkpohHp-UkbnxpDBl2fDThaFuwxkLh47vrft7-
                        profile-url: >-
                          https://app.hubspot.com/contacts/62515/lists/public/contact/_AO_T-mN1u1f6VYBDPmmfwmjBGJEPdjEk-3rRHekIGKZwo2xaBWUc6WQkBqi-37aNSIKpzAiOGNHuDAGWSs89_tKoUXfQ76ljddiaNPDkpohHp-UkbnxpDBl2fDThaFuwxkLh47vrft7-/
                        properties:
                          firstname:
                            value: Test
                          lastmodifieddate:
                            value: '1487870615512'
                          company:
                            value: Testing Inc.
                          lastname:
                            value: Contact
                        form-submissions: []
                        identity-profiles:
                          - vid: 3867874
                            saved-at-timestamp: 1487870184490
                            deleted-changed-timestamp: 0
                            identities:
                              - type: EMAIL
                                value: test@testinginc.com
                                timestamp: 1487870184476
                              - type: LEAD_GUID
                                value: 7d6e5e9e-9f0f-4969-9e35-973dce329e61
                                timestamp: 1487870184487
                        merge-audits: []
                    has-more: true
                    vid-offset: 3867874
                    time-offset: 1487870184476
      security:
        - oauth2:
            - crm.objects.contacts.read
        - oauth2_legacy: []
        - private_apps:
            - crm.objects.contacts.read
        - private_apps_legacy: []
components: {}

````